#include <bits/stdc++.h>
using namespace std;
ifstream fi ("CAU1_17.inp");
ofstream fo ("CAU1_17.out");
int souoc(int n)
{
    int d=2;
    for(int i=2;i<n;i++)
    {
        if(n%i==0)
        {
            d++;
        }
    }
    return d;
}
int main()
{
    int n,k;
    fi>>n>>k;
    int t=0;
    for(int i=1;i<=n;i++)
    {
        if(souoc(i)==k)
        {
            t++;
        }
    }
    fo<<t;
}
